Improper Input Validation Affecting github.com/anacrolix/torrent/storage package, versions *


0.0
medium
  • Attack Complexity

    High

  • Integrity

    High

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-GOLANG-GITHUBCOMANACROLIXTORRENTSTORAGE-1018706

  • published

    15 Oct 2020

  • disclosed

    15 Oct 2020

  • credit

    Unknown

How to fix?

A fix was pushed into the master branch but not yet published.

Overview

Affected versions of this package are vulnerable to Improper Input Validation. Specially crafted infos can cause the client to write files to arbitrary locations on local storage when using file-based storages like mmap and file

References